MLAPI API Reference

# CryptographyHelper Methods

[This is preliminary documentation and is subject to change.]

The CryptographyHelper type exposes the following members.

Methods

| Name | Description
--- | --- | ---
| Decrypt | Decrypts a message with AES with a given key and a salt that is encoded as the first 16 bytes of the buffer
| Encrypt | Encrypts a message with AES with a given key and a random salt that gets encoded as the first 16 bytes of the encrypted buffer

Top
See Also

#### Reference

CryptographyHelper Class
MLAPI.NetworkingManagerComponents.Cryptography Namespace